spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Luciano Resende <luckbr1...@gmail.com>
Subject Re: Need help to setup eclipse environment
Date Wed, 05 Oct 2016 09:21:55 GMT
I believe that vanilla Eclipse still does not have support for Scala, so
you might need to use the Scala IDE or add some Scala plugins to your
Eclipse.
I personally switched from Eclipse to IntelliJ because of the native
support for Scala.

On Wed, Oct 5, 2016 at 2:18 AM, Md. Mahedi Kaysar <
md.mahedi.kaysar@gmail.com> wrote:

> I was trying https://cwiki.apache.org/confluence/display/SPARK/
> Useful+Developer+Tools#UsefulDeveloperTools-IDESetup docs. But did not
> work.
>
> On Wed, Oct 5, 2016 at 10:14 AM, Marco Mistroni <mmistroni@gmail.com>
> wrote:
>
>> Hi
>> Havent tried myself but spark is a mvn project. Have u tried to get
>> sources and run mvn eclipse:eclipse?
>> Hth
>>
>> On 5 Oct 2016 9:54 am, "Md. Mahedi Kaysar" <md.mahedi.kaysar@gmail.com>
>> wrote:
>>
>>> Hi all,
>>> I am trying to import Apache Spark code base in eclipse. But it is
>>> showing lots of error. I think I am importing in a wrong way. Is there any
>>> documentation how to setup spark in eclipse? I want to work on a particular
>>> module (ex. Streaming). I am wondering if I only need to import that module
>>> only.
>>>
>>> Thanks in advance.
>>>
>>> Best Regards,
>>>
>>> Mahedi
>>>
>>
>


-- 
Luciano Resende
http://twitter.com/lresende1975
http://lresende.blogspot.com/

Mime
View raw message